%define oname   json_pure

Name:       ruby-%{oname}
Version:    2.7.2
Release:    %mkrel 1
Summary:    JSON Implementation for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://flori.github.com/json
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: pkgconfig(ruby)
BuildArch:  noarch

%description
This is a JSON implementation in pure Ruby.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -f %{buildroot}%{gem_instdir}/json-java.gemspec


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 2.7.2-1.mga10
+ Revision: 2055587
- Update to 2.7.2

* Mon Aug 15 2022 pterjan <pterjan> 2.6.2-1.mga9
+ Revision: 1877852
- Update to 2.6.2

* Tue May 03 2022 pterjan <pterjan> 2.6.1-1.mga9
+ Revision: 1855711
- Update to 2.6.1

* Fri Mar 25 2022 umeabot <umeabot> 2.3.0-3.mga9
+ Revision: 1826883
- Mageia 9 Mass Rebuild

* Tue Oct 27 2020 pterjan <pterjan> 2.3.0-2.mga8
+ Revision: 1639901
- Delete json-java.gemspec which causes a dependency on jruby

* Sat Mar 28 2020 pterjan <pterjan> 2.3.0-1.mga8
+ Revision: 1561545
- Update to 2.3.0

* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1507794
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1290978
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 2.1.0-1.mga7
+ Revision: 1214609
- Update to 2.1.0

* Mon Jan 04 2016 pterjan <pterjan> 1.8.3-1.mga6
+ Revision: 919690
- Update to 1.8.3

* Sat Nov 28 2015 blino <blino> 1.8.1-4.mga6
+ Revision: 906862
- rebuild for new ruby gems macro

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 743584
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 688847
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 1.8.1-1.mga5
+ Revision: 626652
- Update to 1.8.1

* Sat Dec 28 2013 pterjan <pterjan> 1.7.4-9.mga4
+ Revision: 561992
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.7.4-8.mga4
+ Revision: 561372
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.7.4-7.mga4
+ Revision: 535538
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.7.4-6.mga4
+ Revision: 482138
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.7.4-5.mga4
+ Revision: 479015
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.7.4-4.mga3
+ Revision: 396115
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.7.4-3.mga3
+ Revision: 381076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.7.4-2.mga3
+ Revision: 311966
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.7.4-1.mga3
+ Revision: 280721
- New version 1.7.4

* Sat Apr 16 2011 shikamaru <shikamaru> 1.5.1-1.mga1
+ Revision: 86352
- new version 1.5.1 - enable test suite

* Wed Jan 26 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 39681
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.4.6-2.mga1
+ Revision: 34628
- imported package ruby-json_pure

